<section class="video">
    <h1>$title$</h1>
    <figure>

        $if(youtube-id)$
            <a href="http://www.youtube.com/watch?v=$youtube-id$">
        $else$
            <a href="http://www.vimeo.com/$vimeo-id$">
        $endif$
                <picture>
                    <source type="image/webp" srcset="/assets/video-thumbs/$basename$.webp">
                    <source type="image/jpeg" srcset="/assets/video-thumbs/$basename$.jpg">
                    <img src="/assets/video-thumbs/$basename$.jpg" alt="$basename$ image failed to load">
                </picture>
            </a>

        $if(existsBody)$
            <figcaption>
                <h1>$title$</h1>
                $body$
            </figcaption>
        $endif$

    </figure>
</section>